- Fluid Reference Documentation
- Fluid 1.0.0

# Page QML Type

Represents a page on the navigation page stack. More...

Import Statement: | import Fluid.Controls 1.0
Inherited By: | TabbedPage

- List of all members, including inherited members

## Properties

- actionBar : ActionBar
- actions : alias
- appBar : alias
- leftAction : alias

## Signals

- goBack(var event)

## Methods

- void forcePop()
- void pop(event event, bool force)
- void push(Component component, object properties)

## Detailed Description

Example:

      import QtQuick 2.10
      import Fluid.Controls 1.0 as FluidControls

      FluidControls.Page {
          title: "Application Name"

          actions: [
              FluidControls.Action {
                  name: "Print"

                  // Icon name from the Google Material Design icon pack
                  icon.source: FluidControls.Utils.iconUrl("action/print")
              }
          ]
      }

## Property Documentation

actionBar : ActionBar

The action bar for this page. Use it as a group property to customize this page's action bar. See the Page example for details on how to use this property.

actions : alias

The page's actions shown in the action bar.

appBar : alias

The action bar for this page. Use it as a group property to customize this page's action bar. See the Page example for details on how to use this property.

leftAction : alias

The action shown to the left of the title in the action bar. By default, this is a back button which shows when there is a page behind the current page in the page stack. However, you can replace it with your own action, for example, an icon to open a navigation drawer when on your root page.

## Signal Documentation

goBack(var event)

This signal is emitted when the back action is triggered or back key is released.

By default, the page will be popped from the page stack. To change the default behavior, for example to show a confirmation dialog, listen for this signal using `onGoBack` and set `event.accepted` to `true`. To dismiss the page from your dialog without triggering this signal and re-showing the dialog, call `page.forcePop()`.

## Method Documentation

void forcePop()

Force a pop from the page stack.

void pop(event event, bool force)

Pop this page from the page stack. This does nothing if this page is not the current page on the page stack.

Use `force` to avoid calling the goBack signal. This is useful if you use the goBack signal to show a confirmation dialog, and want to close the page from your dialog without showing the dialog again. You can also use Page::forcePop() as a shortcut to this behavior.

See also Page::forcePop().

void push(Component component, object properties)

Push the specified component onto the page stack.

See also StackView::push().